org.keycloak.authentication

## Enum AuthProviderStatus

- java.lang.Object
- - java.lang.Enum<AuthProviderStatus>
  - - org.keycloak.authentication.AuthProviderStatus

- All Implemented Interfaces:
    Serializable, Comparable<AuthProviderStatus>

      public enum AuthProviderStatus
      extends Enum<AuthProviderStatus>

  Result of authentication by AuthenticationProvider
  Author:
    Marek Posolda

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED`
    `INVALID_CREDENTIALS`
    `SUCCESS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthProviderStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthProviderStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final AuthProviderStatus SUCCESS

    - #### INVALID_CREDENTIALS

          public static final AuthProviderStatus INVALID_CREDENTIALS

    - #### FAILED

          public static final AuthProviderStatus FAILED

  - ### Method Detail

    - #### values

          public static AuthProviderStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthProviderStatus c : AuthProviderStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthProviderStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.